/**
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements. See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership. The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package demo.jaxrs.server;

import jakarta.ws.rs.GET;
import jakarta.ws.rs.POST;
import jakarta.ws.rs.Path;
import jakarta.ws.rs.Produces;
import jakarta.ws.rs.core.Context;
import jakarta.ws.rs.core.Response;

import org.apache.cxf.rs.security.oidc.rp.IdTokenContext;

@Path("/")
public class IdTokenService {
    @POST
    @Path("/token")
    @Produces("text/html")
    public Response getIdTokenFromForm(@Context IdTokenContext idTokenContext) {
        return getIdToken(idTokenContext);
    }

    @GET
    @Path("/token")
    @Produces("text/html")
    public Response getIdToken(@Context IdTokenContext idTokenContext) {
        return Response.ok(idTokenContext.getIdToken()).build();
    }
}
